Bug 994974 - usb_modeswitch-2.0.1 is available
usb_modeswitch-2.0.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 06:30 EDT by Upstream Release Monitoring
Modified: 2014-01-06 13:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 13:10:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-08-08 06:30:35 EDT
Latest upstream release: 1.2.7
Current version/release in Fedora Rawhide: 1.2.6-2.fc20
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by the user 2013-08-08 08:55:41 EDT
(In reply to Upstream Release Monitoring from comment #0)
> Latest upstream release: 1.2.7

Version 1.2.7, 2013/08/07
    Two new dedicated control message functions to support Pantech LTE
    (thanks to Adam Goode) and Blackberry Q10/Z10 (thanks to Daniel Mende)


device_reference.txt should also be updated.
Comment 2 Upstream Release Monitoring 2013-09-01 19:17:26 EDT
Latest upstream release: 2.0.0
Current version/release in Fedora Rawhide: 1.2.7-3.fc21
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-09-09 15:48:41 EDT
Latest upstream release: 2.0.1
Current version/release in Fedora Rawhide: 1.2.7-3.fc21
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Account closed by the user 2013-09-09 15:54:19 EDT
Version 2.0.1, 2013/09/03
    Fixed stupid string size bug which could lead to memory corruption
    (thanks to Leonid Myravjev)
Version 2.0.0, 2013/09/01
    Switched to libusb1.0, with much help from folks of the wl500g project
    (http://wl500g.googlecode.com): Vladislav Grishenko, Leonid Lisovskiy,
    Roman Samarev, Andrey Tikhomirov;
    major code and debug output cleanup; man page corrections and additions
    (thanks to Thomas Haller);
    experimental systemd and upstart integration, if present
    (Explanation: newer udev versions kill all subprocesses, detached or
    not. The suggested way to handle longer running processes like the
    usb_modeswitch_dispatcher is to add simple services or tasks and start
    these by sending signals from the udev rule)
    !! Attention, system integrators: a crude install facility is included
    in the Makefile to check if "upstart" or "systemd" is active and to
    install the matching service file; you may want to adapt it better to
    your respective system, possibly adding dependencies/targets to the
    services. Note that the udev starter script usb_modeswitch.sh also
    checks for the existence of the service files
Comment 5 Account closed by the user 2013-11-22 16:56:36 EST
FYI, jim was included recently in Fedora: http://koji.fedoraproject.org/koji/packageinfo?packageID=16076

There is no need to do a "static" usb_modeswitch_dispatcher binary.
Comment 6 Peter Robinson 2014-01-06 13:10:33 EST
should be fixed with usb_modeswitch-2.0.1-1.fc21

Note You need to log in before you can comment on or make changes to this bug.